% *************************************************************************
%  Khan, Hashmat and Abeer Reza (2016), "House Prices and Government
%  Spending Shocks", Journal of Money, Credit and Banking
% 
%  Replication File for Figures 4 and 6
% *************************************************************************

clear all;
clc;


XAX = zeros(1,20);

% Figure 4: Benchmark Model
% -------------------------------------------------------------------------
dynare Benchmark.mod noclearall;

figure; 
subplot(2,2,1),plot(1:20, C_eg,'-k',1:20, cl_eg,'--b', 1:20, cb_eg, ':b', 1:20, XAX, '-r', 'Linewidth',1.25),axis tight; 
title('Consumption');
subplot(2,2,2),plot(1:20, shadowl_eg,'--b', 1:20, shadowb_eg, ':b', 1:20, XAX, '-r', 'Linewidth',1.25),axis tight; 
title('Shadow Value of Housing');
subplot(2,2,3),plot(1:20, q_eg,'-k', 1:20, XAX, '-r', 'Linewidth',1.25),axis tight; 
title('House Prices');
subplot(2,2,4),plot(1:20, rr_eg,'-k', 1:20, XAX, '-r', 'Linewidth',1.25),axis tight; 
title('Real Interest Rates');

save2pdf('Figure4');


% Figure 6: Benchmark Model with accommodative monetary policy
% -------------------------------------------------------------------------
dynare Benchmark_Accom.mod noclearall;

figure; 
subplot(2,2,1),plot(1:20, C_eg,'-k',1:20, cl_eg,'--b', 1:20, cb_eg, ':b', 1:20, XAX, '-r', 'Linewidth',1.25),axis tight; 
title('Consumption');
subplot(2,2,2),plot(1:20, shadowl_eg,'--b', 1:20, shadowb_eg, ':b', 1:20, XAX, '-r', 'Linewidth',1.25),axis tight; 
title('Shadow Value of Housing');
subplot(2,2,3),plot(1:20, q_eg,'-k', 1:20, XAX, '-r', 'Linewidth',1.25),axis tight; 
title('House Prices');
subplot(2,2,4),plot(1:20, rr_eg,'-k', 1:20, XAX, '-r', 'Linewidth',1.25),axis tight; 
title('Real Interest Rates');

save2pdf('Figure6');
